    mesh2.weights();

    Info<< "Reading field U (displacemnent)\n" << endl;
    volVectorField Udisp
    (
        IOobject
        (
            "Udisp",
            runTime.timeName(),
            mesh2,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh2
    );


    volScalarField* Tptr = NULL;

    if (thermalStress)
    {
        Info<< "Reading field T\n" << endl;
        Tptr = new volScalarField
        (
            IOobject
            (
                "T",
                runTime.timeName(),
                mesh2,
                IOobject::MUST_READ,
                IOobject::AUTO_WRITE
            ),
            mesh2
        );
    }

    volScalarField& T = *Tptr;
